Gtk2::AspectFrame(3)

NAME
Gtk2::AspectFrame

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Frame
                                +----Gtk2::AspectFrame

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface

METHODS

  widget = Gtk2::AspectFrame->new ($label, $xalign, $yalign, $ratio, $obey_child)

    * $label (string)
    * $xalign (double)
    * $yalign (double)
    * $ratio (double)
    * $obey_child (boolean)

  $aspect_frame->set_params ($xalign, $yalign, $ratio, $obey_child)

    * $xalign (double)
    * $yalign (double)
    * $ratio (double)
    * $obey_child (boolean)

PROPERTIES

'obey-child' (boolean : readable / writable / private)
    Force aspect ratio to match that of the frame's child

'ratio' (Glib::Float : readable / writable / private)
    Aspect ratio if obey_child is FALSE

'xalign' (Glib::Float : readable / writable / private)
    X alignment of the child

'yalign' (Glib::Float : readable / writable / private)
    Y alignment of the child

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Frame

COPYRIGHT
Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.